Bug 815583 - (ghc-edit-distance) Review Request: ghc-edit-distance - Levenshtein and restricted Damerau-Levenshtein edit distances
Review Request: ghc-edit-distance - Levenshtein and restricted Damerau-Levens...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: git-annex
  Show dependency treegraph
 
Reported: 2012-04-23 21:01 EDT by Ben Boeckel
Modified: 2012-12-07 00:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 20:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-04-23 21:01:14 EDT
Spec URL: http://benboeckel.net/packaging/ghc-edit-distance.spec
SRPM URL: http://benboeckel.net/packaging/ghc-edit-distance-0.2.1-1-fc18.src.rpm
Description:
Optimized edit distances for fuzzy matching, 10 including Levenshtein
and restricted Damerau-Levenshtein algorithms.

% lintmock fedora-rawhide-x86_64
ghc-edit-distance.src: W: strange-permission ghc-edit-distance.spec 0640L
ghc-edit-distance.src: W: strange-permission edit-distance-0.2.1.tar.gz 0640L
ghc-edit-distance-devel.x86_64: W: spelling-error Summary(en_US) Levenshtein -> Liechtenstein
ghc-edit-distance-devel.x86_64: W: obsolete-not-provided ghc-edit-distance-doc
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Is the -doc Provides/Obsoletes a ghc-rpm-macros bug?
Comment 2 Jens Petersen 2012-04-23 22:13:05 EDT
(In reply to comment #0)
> Is the -doc Provides/Obsoletes a ghc-rpm-macros bug?

Well I trying to deprecate ghc-*-doc completely from the namespace
since they are no longer used/needed, so it is basically intentional.
(doc subpackages were merged into devel for F14.)

I think the warning can be waived.

Similarly after f15 goes EOL, all ghc-*-prof BRs can be replaced by ghc-*-devel.
Comment 3 Jens Petersen 2012-05-01 05:47:49 EDT
> SRPM URL:
> http://benboeckel.net/packaging/ghc-edit-distance/ghc-edit-distance-0.2.1-1-fc18.src.rpm

Well above url is still failing for me.
Comment 5 Jens Petersen 2012-05-07 09:20:24 EDT
If you updated the urls I would use fedora-review...

Overall looks fine to me.


Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output [1]

ghc-edit-distance.src: W: strange-permission ghc-edit-distance.spec 0640L
ghc-edit-distance.src: W: strange-permission edit-distance-0.2.1.tar.gz 0640L
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
ghc-edit-distance-devel.x86_64: W: spelling-error Summary(en_US) Levenshtein -> Liechtenstein
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(How about scripting around your "strange-permission"s?)

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

4a73d3e4eba9e85740f8306ccb5f8617  edit-distance-0.2.1.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]

see above

[+] MUST: if necessary use ExcludeArch for other archs [8]
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Package is APPROVED.
Comment 6 Ben Boeckel 2012-05-14 20:12:29 EDT
New Package SCM Request
=======================
Package Name: ghc-edit-distance
Short Description: Levenshtein and restricted Damerau-Levenshtein edit distances
Owners: mathstuf
Branches: f17 f16 el6
InitialCC: haskell-sig
Comment 7 Ben Boeckel 2012-05-14 20:27:17 EDT
In case the SCM script chokes if description is split:

New Package SCM Request
=======================
Package Name: ghc-edit-distance
Short Description: Levenshtein and restricted Damerau-Levenshtein edit distances
Owners: mathstuf
Branches: f17 f16 el6
InitialCC: haskell-sig
Comment 8 Ben Boeckel 2012-05-14 20:28:35 EDT
Or BZ just breaking lines in comments at some text width. Hopefully having multiple won't confuse it either.
Comment 9 Jon Ciesla 2012-05-15 08:16:12 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-22 04:26:10 EDT
ghc-edit-distance-0.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-edit-distance-0.2.1-1.fc16
Comment 11 Fedora Update System 2012-05-22 04:26:22 EDT
ghc-edit-distance-0.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-edit-distance-0.2.1-1.fc17
Comment 12 Fedora Update System 2012-05-22 11:57:00 EDT
ghc-edit-distance-0.2.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-05-30 20:55:36 EDT
ghc-edit-distance-0.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-01 13:03:01 EDT
ghc-edit-distance-0.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-12-07 00:18:49 EST
ghc-edit-distance-0.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-edit-distance-0.2.1-1.el6

Note You need to log in before you can comment on or make changes to this bug.